PDA

View Full Version : Teensy 3 "Cannot run program arm-none-eabi-g++"



jockm
12-17-2012, 01:38 AM
I go into the Arduino IDE, select the teensy 3.0 board type, select the appropriate serial port, and then hit verify. When I do I get the following error message:


Cannot run program "arm-none-eabi-g++": error=2, No such file or directory.


From what I have been able to gather from the forums, "arm-none-eabi-g++" is supposed to be installed in Arduino.app/Contents/Resources/Java/hardware/tools, but no such file is installed inside or outside the app.

The Teensyduino installer reports no errors, or unusual messages of any sort.

Does anyone have any idea what is going on here and how to resolve it? Launching a VM just so I can compile for the teensy would be a sub-optimal solution.

My Environment:

OSX 10.8.2
Quad core i5 iMac
16G RAM
Teensy 3.0
Arduino IDE 1.01
Teensyduino 1.10



Any help is greatly appreciated.

Nantonos
12-17-2012, 08:14 AM
Which beta of the Teensy 3.0 software are you running?

PaulStoffregen
12-17-2012, 10:35 AM
Are you using this version:

http://forum.pjrc.com/threads/1939-Teensy-3-0-Beta9-Software

If you download a copy from Arduino and then run the Teensyduino installer, you'll get exactly this error. The installer now has Teensy 3.0, but it still lacks the toolchain files. Use the copy from the link above and it should work.

jockm
12-17-2012, 05:13 PM
If you download a copy from Arduino and then run the Teensyduino installer, you'll get exactly this error. The installer now has Teensy 3.0, but it still lacks the toolchain files. Use the copy from the link above and it should work.

Ah! Thank you. I just downloaded the Teensyduino Installer because I was not in any way aware of the existence anything else. Perhaps a note on the Teensy page (http://www.pjrc.com/teensy/index.html) would be in order?

Again thanks for the help!